routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\BlogController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\ContactController;
use App\Http\Controllers\PartnerController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\VideoController;
use App\Http\Controllers\VolunteerController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/


Route::middleware('auth')->group(function () {
    Route::redirect('/', 'admin-dashboard');
    Route::get('admin-dashboard', [AdminController::class, 'index'])->name('admin.dashboard');

    Route::get('/blog-categories',                [CategoryController::class, 'index'])->name('blog.categories.index');
    Route::post('/blog-categories',               [CategoryController::class, 'store'])->name('blog.categories.store');
    Route::get('/blog-categories/{category}/edit',[CategoryController::class, 'edit'])->name('blog.categories.edit');
    Route::put('/blog-categories/{category}',     [CategoryController::class, 'update'])->name('blog.categories.update');
    Route::delete('/blog-categories/{category}',  [CategoryController::class, 'destroy'])->name('blog.categories.destroy');

    Route::get('/blogs',            [BlogController::class, 'index'])->name('blogs.index');
    Route::get('/blogs/create',     [BlogController::class, 'create'])->name('blogs.create');
    Route::post('/blogs',           [BlogController::class, 'store'])->name('blogs.store');
    Route::get('/blogs/{blog}/edit',[BlogController::class, 'edit'])->name('blogs.edit');
    Route::put('/blogs/{blog}',     [BlogController::class, 'update'])->name('blogs.update');
    Route::delete('/blogs/{blog}',  [BlogController::class, 'destroy'])->name('blogs.destroy');

    Route::get('/videos',              [VideoController::class, 'index'])->name('videos.index');
    Route::get('/videos/create',       [VideoController::class, 'create'])->name('videos.create');
    Route::post('/videos',             [VideoController::class, 'store'])->name('videos.store');
    Route::get('/videos/{video}/edit', [VideoController::class, 'edit'])->name('videos.edit');
    Route::put('/videos/{video}',      [VideoController::class, 'update'])->name('videos.update');
    Route::delete('/videos/{video}',   [VideoController::class, 'destroy'])->name('videos.destroy');

    Route::resource('partners', PartnerController::class);

    Route::get('/clients',                   [ClientController::class, 'index'])->name('clients.index');
    Route::post('/clients',                  [ClientController::class, 'store'])->name('clients.store');
    Route::get('/clients/create',            [ClientController::class, 'create'])->name('clients.create');
    Route::delete('/clients/{client}',       [ClientController::class, 'destroy'])->name('clients.destroy');
    Route::post('/clients/{client}/active',  [ClientController::class, 'active'])->name('clients.active');
    Route::post('/clients/{client}/complete',[ClientController::class, 'complete'])->name('clients.complete');
    Route::get('clients/donations',          [ClientController::class, 'donations'])->name('clients.donations');
    Route::post('clients/donate',            [ClientController::class, 'donate'])->name('clients.donate');

    Route::get('volunteers',                       [VolunteerController::class, 'index'])->name('volunteers.index');
    Route::delete('/volunteers/{volunteer}',       [VolunteerController::class, 'destroy'])->name('volunteers.destroy');
    Route::post('/volunteers/{volunteer}/active',  [VolunteerController::class, 'active'])->name('volunteers.active');
    Route::post('/volunteers/{volunteer}/inactive',[VolunteerController::class, 'inactive'])->name('volunteers.inactive');

    Route::get('contacts',                     [ContactController::class, 'index'])->name('contacts.index');
    Route::delete('/contacts/{contact}',       [ContactController::class, 'destroy'])->name('contacts.destroy');
    Route::post('/contacts/{contact}/active',  [ContactController::class, 'active'])->name('contacts.active');
    Route::post('/contacts/{contact}/inactive',[ContactController::class, 'inactive'])->name('contacts.inactive');

});


Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__ . '/auth.php';

resources/views/partials/main.blade.php
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@yield('title', 'Doniraj-Kompjuter')</title>
    @include('partials.style')
    @yield('css')
</head>

<body>
    @include('partials.navbar')

    @yield('content')




    @include('partials.scripts')
    @yield('scripts')
</body>

</html>

resources/views/partials/navbar.blade.php
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="{{ route('admin.dashboard') }}">
        <img class="img-fluid" src="{{ asset('img/logo1.jpg') }}" width="150" height="70" alt="logo">
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item active">
                <a class="nav-link" href="{{ route('blogs.index') }}">Blogs <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href=" {{ route('blog.categories.index') }}">Blog-Categories </a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="{{ route('videos.index') }}">Videos</a>
            </li>

            <li class="nav-item active">
                <a class="nav-link" href="{{ route('partners.index') }}">Partners</a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="{{ route('clients.index') }}">Clients</a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="{{ route('volunteers.index') }}">Volunteers</a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="{{ route('contacts.index') }}">Contacts</a>
            </li>

            <li class="nav-item active">
                <a class="nav-link" href="{{ route('clients.donations') }}">Donations</a>
            </li>
        </ul>

    </div>

    <!-- Settings -->

    <ul class="navbar-nav mr-auto">
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-expanded="false">
                {{Auth::user()->name }}
            </a>
            <div class="dropdown-menu dropdown-menu-right">
                <a class="dropdown-item" href="{{ asset('profile') }}">Profile</a>
                <div class="dropdown-divider"></div>
                <form method="POST" action="{{ asset('logout') }}" class="form-inline my-2 my-lg-0">
                    @csrf
                    <button class="dropdown-item" type="submit">{{Auth()->user()->name}} Logout</button>
                </form>
            </div>
        </li>
    </ul>
</nav>

resources/views/partials/scripts.blade.php
<script src="https://code.jquery.com/jquery-3.6.3.js" integrity="sha256-nQLuAZGRRcILA+6dMBOvcRh5Pe310sBpanc6+QBmyVM=" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>

resources/views/partials/style.blade.php
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous" />